/*
 * main.C
 *
 * The main program. Instanciate an Application
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: main.C,v 1.2 1999/04/20 22:02:48 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <stdio.h>
#include <iostream.h>

#include "VimDebug.H"

#include "application.H"

Application vimmail; // histoire d'etre bien crado :)

int main(int argc, char **argv)
{
  // @@ ugly hack : 
  // check for "--version" and "--help"
  // (this should be moved elsewhere)
  for (char **p = argv + 1; *p != NULL; p++) {
    if (strcmp(*p, "--version") == 0 || strcmp(*p, "-V") == 0) {
      cout << "ViMmail " VERSION << endl;
      return 0;
    }
    if (strcmp(*p, "--help") == 0 || strcmp(*p, "-h") == 0) {
      cout << "usage: " << *argv << endl;
      cout << endl;
      cout << "Report bugs to <vmallet@enst.fr> (Vincent Mallet)" << endl;
      return 0;
    }
  }
	

  vimmail.make(argc, argv);

  vimmail.start_app();

  DEBUG_out("main(): before returning 0\n");

  return 0;
}

