/*
 * abslist.H
 *
 * abstract Motif selection list
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: abslist.H,v 1.2 1999/04/20 21:38:23 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __H_ABSLIST__
#define __H_ABSLIST__


class AbsList {
public:
  Widget widget;

  inline AbsList(void) : widget(0) { } // Widget will be created by subclass

  void add_entry(char *name);   // Add an entry in this abstract list
  void set_current(int index);	// set entry 'index' the currently hilighted one
  void clear(void);             // clear this abstract list 

  void nice_cursor(int shape);  // change cursor shape 

}; // class AbsList


#endif // __H_ABSLIST__

